# Helper routines for using multiple, inexpensive cameras

Brandon Jackson and Dennis Evangelista, 2014-2015

Eventually setup cloneable Bitbucket repository:
```
hg --clone ssh://hg@bitbucket.org/devangel77b/argus
```
To install the module, run (as administrator):
```
python setup.py install
```
This also works although it only gives last stable:
```
sudo pip install argus
```

## What's new in Version 0.0.10

* Seems to work for Python 3 and OpenCV 3
* CMei Omnidirectional Camera stuff
* Updated README and documentation
* Bug fixes

## Description

Argus had 1000 eyes.  You might only have 3 cameras but hopefully this is
useful.

This Python module includes helper routines for calibrating, synchronizing, 
and using multiple inexpensive cameras for reconstructing 3D positions for
scientific uses, such as in biology, biomechanics, ecology, etc. This module
includes chessboard calibration, automatic wand tracking, and synchronization
using sound and is intended to interface with the python sba sparse bundle
adjustment routines for 3D calibration and reconstruction. 

Companion Matlab routines are also available.

If these routines are helpful in your work, please cite Jackson, Evangelista, Ray, Hedrick (2016), 3D for the people: multi-camera motion capture in the field with consumer-grade cameras and open source software, *Biology Open* **5**:1334-1342:

```bibtex
@article{Jackson:2016:3D,
author={Jackson, B and Evangelista, D and Ray, D and Hedrick, T},
year={2016},
title={3D for the people: multi-camera motion capture in the field with consumer-grade cameras and open source software},
journal={Biology Open},
volume={5},
pages={1334--1342},
doi={10.1242/bio.018713}}
```

## Still to do

Autowand and keypoint finder for automatic detection of extrinsic calibration 
points.  Also provide worked example with sparse bundle adjustment (sba is 
part of the Python sba library / or is implemented in Matlab in EasyWand). 

## See also

The Argus GUI is here [https://kilmoretrout@bitbucket.org/kilmoretrout/argus_gui] or visit [http://argus.web.unc.edu] for Windows and MacOS builds.

## Thanks to

Ty Hedrick, Dylan Ray, Talia Weiss, others